### Method

# Adw PreferencesDialog set_visible_page_name

since: 1.5

#### Declaration [src]

    void
    adw_preferences_dialog_set_visible_page_name (
      AdwPreferencesDialog* self,
      const char* name
    )

#### Description [src]

Makes the page with the given name visible.

See `AdwPreferencesDialog:visible-page`.

Available since: 1.5

Sets property | `Adw.PreferencesDialog:visible-page-name`

#### Parameters

`name`

  Type: `const char*`

  The name of the page to make visible.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.